package com.blamejared.compat.botania.lexicon;

import crafttweaker.CraftTweakerAPI;
import com.blamejared.compat.botania.BotaniaHelper;
import net.minecraft.util.ResourceLocation;
import vazkii.botania.api.lexicon.LexiconCategory;
import crafttweaker.IAction;

public class SetCategoryIcon implements IAction
{
    private LexiconCategory category;
    private ResourceLocation oldIcon;
    private ResourceLocation newIcon;
    private final String name;
    
    public SetCategoryIcon(final String name, final String icon) {
        this.name = name;
        this.newIcon = new ResourceLocation(icon);
    }
    
    public void apply() {
        this.category = BotaniaHelper.findCatagory(this.name);
        if (this.category == null) {
            CraftTweakerAPI.getLogger().logError("Cannot find lexicon category " + this.name);
            return;
        }
        this.oldIcon = this.category.getIcon();
        this.category.setIcon(this.newIcon);
        CraftTweakerAPI.getLogger().logInfo("Setting Lexicon Category icon: " + this.category.getUnlocalizedName());
    }
    
    public String describe() {
        return "Attempting to set the icon for Lexicon Category " + this.name + " to " + this.newIcon;
    }
}
